petsc-3.12.4 2020-02-04
Report Typos and Errors

# PCBDDCMatFETIDPGetSolution

Compute the physical solution using the solution of the FETI-DP linear system

### Synopsis

    #include "petscpc.h"
    PetscErrorCode PCBDDCMatFETIDPGetSolution(Mat fetidp_mat, Vec fetidp_flux_sol, Vec standard_sol)

Collective

### Input Parameters

| fetidp_mat | - the FETI-DP matrix obtained by a call to PCBDDCCreateFETIDPOperators
| fetidp_flux_sol | - the solution of the FETI-DP linear system

### Output Parameters

standard_sol -the solution defined on the physical domain

### Notes

### See Also

PCBDDC, PCBDDCCreateFETIDPOperators, PCBDDCMatFETIDPGetRHS

### Level

developer

### Location

src/ksp/pc/impls/bddc/bddc.c

### Examples

src/ksp/ksp/examples/tutorials/ex59.c.html

### Implementations

PCBDDCMatFETIDPGetSolution_BDDC in src/ksp/pc/impls/bddc/bddc.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages